MyGUI: MyGUI::MemberObsolete< ItemBox > Class Template Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::MemberObsolete< ItemBox > Class Template Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< ItemBox >:
[legend]

## Public Member Functions
size_t | getItemIndexSelected ()
void | setItemSelectedAt (size_t _index)
void | clearItemSelected ()
void | insertItem (size_t _index, Any _data=Any::Null)
void | setItemData (size_t _index, Any _data)
void | deleteItem (size_t _index)
void | deleteAllItems ()
size_t | getItemSelect ()
void | resetItemSelect ()
void | setItemSelect (size_t _index)
Widget * | getWidgetDrop ()
void | resetDrop ()
void | setItemBoxAlignVert (bool _value)
bool | getItemBoxAlignVert ()

## Detailed Description

### template<>
class MyGUI::MemberObsolete< ItemBox >

Definition at line 123 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ clearItemSelected()

void MyGUI::MemberObsolete< ItemBox >::clearItemSelected | ( |  | ) |

Deprecated:
  " is deprecated, use : void ItemBox::clearIndexSelected()"

Definition at line 202 of file MyGUI_BackwardCompatibility.cpp.

## ◆ deleteAllItems()

void MyGUI::MemberObsolete< ItemBox >::deleteAllItems | ( |  | ) |

Deprecated:
  " is deprecated, use : void ItemBox::removeAllItems()"

Definition at line 219 of file MyGUI_BackwardCompatibility.cpp.

## ◆ deleteItem()

void MyGUI::MemberObsolete< ItemBox >::deleteItem | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : void ItemBox::removeItemAt(size_t _index)"

Definition at line 215 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getItemBoxAlignVert()

bool MyGUI::MemberObsolete< ItemBox >::getItemBoxAlignVert | ( |  | ) |

Deprecated:
  " is deprecated, use : bool ItemBox::getVerticalAlignment() const"

Definition at line 249 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getItemIndexSelected()

size_t MyGUI::MemberObsolete< ItemBox >::getItemIndexSelected | ( |  | ) |

Deprecated:
  " is deprecated, use : size_t ItemBox::getItemIndexSelected()"

Definition at line 194 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getItemSelect()

size_t MyGUI::MemberObsolete< ItemBox >::getItemSelect | ( |  | ) |

Deprecated:
  " is deprecated, use : size_t ItemBox::getIndexSelected()"

Definition at line 223 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getWidgetDrop()

Widget * MyGUI::MemberObsolete< ItemBox >::getWidgetDrop | ( |  | ) |

Deprecated:
  " is deprecated, use : Widget* ItemBox::getWidgetDrag()"

Definition at line 236 of file MyGUI_BackwardCompatibility.cpp.

## ◆ insertItem()

void MyGUI::MemberObsolete< ItemBox >::insertItem | ( | size_t | _index,
|  | Any | _data = `Any::Null`
| ) |  |

Deprecated:
  " is deprecated, use : void ItemBox::insertItemAt(size_t _index, Any _data)"

Definition at line 207 of file MyGUI_BackwardCompatibility.cpp.

## ◆ resetDrop()

void MyGUI::MemberObsolete< ItemBox >::resetDrop | ( |  | ) |

Deprecated:
  " is deprecated, use : void ItemBox::resetDrag()"

Definition at line 240 of file MyGUI_BackwardCompatibility.cpp.

## ◆ resetItemSelect()

void MyGUI::MemberObsolete< ItemBox >::resetItemSelect | ( |  | ) |

Deprecated:
  " is deprecated, use : void ItemBox::clearIndexSelected()"

Definition at line 227 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setItemBoxAlignVert()

void MyGUI::MemberObsolete< ItemBox >::setItemBoxAlignVert | ( | bool | _value | ) |

Deprecated:
  " is deprecated, use : void ItemBox::setVerticalAlignment(bool _value)"

Definition at line 245 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setItemData()

void MyGUI::MemberObsolete< ItemBox >::setItemData | ( | size_t | _index,
|  | Any | _data
| ) |  |

Deprecated:
  " is deprecated, use : void ItemBox::setItemDataAt(size_t _index, Any _data)"

Definition at line 211 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setItemSelect()

void MyGUI::MemberObsolete< ItemBox >::setItemSelect | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : void ItemBox::setIndexSelected(size_t _index)"

Definition at line 231 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setItemSelectedAt()

void MyGUI::MemberObsolete< ItemBox >::setItemSelectedAt | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : void ItemBox::setIndexSelected(size_t _index)"

Definition at line 198 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp